import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (p, r, l, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, l) : r, c = p.length - 1, s; c >= 0; c--)
    (s = p[c]) && (e = (t ? s(r, l, e) : s(e)) || e);
  return t && e && h(r, l, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--clockFilledLarge", this.class = "c-pieIcon c-pieIcon--clockFilledLarge", this.name = "IconClockFilledLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--clockFilledLarge"><path d="M16 3.75a12.25 12.25 0 1 0 0 24.5 12.25 12.25 0 0 0 0-24.5Zm4.804 16.503-5.679-3.378V9h1.75v6.851l4.821 2.896-.892 1.506Z"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  g("icon-clock-filled-large")
], o);
export {
  o as IconClockFilledLarge
};
